Skip to content
.seventhings.com

Prefill your credentials

Fill in your non-secret values to have them appear in the examples below. Stored locally in your browser.

Get all orders from circularity-hub.

GET
/customer-api/v1/circularity-hub/orders
curl --request GET \
--url 'https://your-instance.seventhings.com/customer-api/v1/circularity-hub/orders?page=1&per_page=50&filter=%7B%22%3Cfilter_id%3E%22%3A%22%3Cfilter_name%3E%22%7D&%3Csort_field%3E=<sort_type>' \
--header 'Authorization: Bearer <token>'

Get all orders from circularity-hub.

page
integer format: int32
default: 1 >= 1 <= 1000000

Page number of the results to fetch.

per_page
integer
default: 50 >= 1 <= 1000

The number of results per page.

filter

Fields are defined in Template, so this examples are based on the type of the field, not on the FieldKey

The filter parameter is a deep object, which means that it can have multiple levels of nesting. In the first level there is the field name, in the second level there is the operator and in the third level there are the values or the value. for example: filter[TEXT][eq]='exact searched text'

The exact field name you can find in the field definition list of your customer instance.

The known operators which can be used for one value per field you can find here:

  • eq which is used for exact match
  • neq which is used for the opposite of an exact match
  • gt which is used for a greater than match
  • gt_or_null which is used for a greater than match or null
  • gte which is used for a greater than or equal match
  • gte_or_null which is used for a greater than or equal match or null
  • lt which is used for a less than match
  • lt_or_null which is used for a less than match or null
  • lte which is used for a less than or equal match
  • lte_or_null which is used for a less than or equal match or null

Here is the list of the known operators which can be used for multiple values per field:

  • like which is used for a partial match
  • not_like which is used for a partial mismatch
  • in which is used for a list of exact matches
  • nin which is used for a list of the opposite of exact matches

Here are some examples:

  • filter[TEXT][eq]='exact searched text'
  • filter[TEXT][neq]='exact searched text'
  • filter[TEXT][like][]='searched text'
  • filter[TEXT][not_like][]='searched text'
  • filter[TEXT][in][]='searched text'
  • filter[TEXT][nin][]='searched text'
  • filter[DATE][gt]=2022-11-15
  • filter[DATE][gt_or_null]=2022-11-15
  • filter[DATE][gte]=2022-11-15
  • filter[DATE][gte_or_null]=2022-11-15
  • filter[DATE][lt]=2022-11-15&filter[DATE][gt]=2022-11-14
  • filter[DATE][lt_or_null]=2022-11-15&filter[DATE][gt]=2022-11-14
  • filter[DATE][lte]=2022-11-15&filter[DATE][gt]=2022-11-14
  • filter[DATE][lte_or_null]=2022-11-15&filter[DATE][gt]=2022-11-14
  • filter[DATETIME][gt]=2022-11-15+00:00:00
  • filter[DATETIME][lt]=2022-11-15+00:00:00&filter[DATETIME][gt]=2022-11-14+00:00:00
object
key
additional properties
any
Example
{
"<filter_id>": "<filter_name>"
}
sort

Fields are defined in Template, so this examples are based on the type of the field, not on the FieldKey

In actual parameter, FieldKey should be passed (e.g: sort[updated_at]=ASC)

Up to columns

Filter options available for certain type of the field:

  • sort[TEXT]=ASC
  • sort[DATE]=DESC
  • sort[TEXT]=DESC&sort[DATE]=ASC
object
key
additional properties
any
Example
{
"<sort_field>": "<sort_type>"
}

Success

Media typeapplication/json
Array<object>

Inside the mappedAssetData you can find all currently mapped data from the original object If the object was deleted from the system there is a cache with the data from the creation date of the order.

object
key
additional properties
any
Example
[
{
"id": 1,
"order_number": "7THX-24-4570-61",
"created_at": "2024-05-29 13:02:20",
"user_id": 1,
"total_price": 152.56,
"completed": false,
"cancelled": true,
"cancellation_reason": "have to cancel because of problems",
"billing_data": {
"firstName": "User",
"lastName": "Seventhings",
"street": "Hainstraße",
"house_number": "2",
"zip_code": "01097",
"city": "Dresden"
},
"articles": [
{
"id": 1,
"deleted": 0,
"asset_id": 1,
"created_at": "2024-05-29 10:53:43",
"price": 152.56,
"category_id": 2,
"suggested_price": 152.56,
"updated_at": "2024-05-29 10:53:43",
"mappedAssetData": {
"item_image": [
{
"type": "image/jpeg",
"name": "Example-Chair.jpg",
"size": 157814,
"name_on_server": "assets_600f4403392732.09849361.jpg"
}
],
"item_title": "Stuhl Meeting",
"item_description": "Alle Felder können individuell angepasst werden.",
"item_main_category": "Möbel",
"item_actual_location": 1,
"internal_identifier": "DEV0000004",
"item_original_purchase_date": "2020-11-02",
"item_original_purchase_price": 279.9,
"item_manufacturer": "Vitra",
"documents": null,
"item_actual_room": 3,
"item_last_itexia_update_date": "2024-05-28 08:20:29"
}
}
]
}
]

Request body is missing or invalid or request data is invalid.

Access token is missing or invalid.

You are not permitted to perform the requested operation.

The requested resource could not be found.

The requested resource representation has no acceptable format.

The requested entry is not processable.

Internal Server Error.